<?php
   $target='cod_suc';
   include("funciones/funciones_backup.php");   
   include("conexion/conexion.php");
   include("Menu/menu_inicio.php");  
   include("Sucursales/sucursales.php"); 
   
   $nombrepagina = "CREACION DE SUCURSAL";
   encabezado($target); 
   $user=$_SESSION['validar'];
   $filas=1;   
   if($filas == 1){ 
	 class llamado{
	 	var $menuObj;
      	function validar1($id_user,$id_sucursal){
	 		$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
	  	}
	 }
	 $llamadoObj=new llamado();
	 $llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	 entrada($user,$_GET['id_user'],$_GET['suc']);
	 echo"</td>";	 
	 echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	 mostrar_cabeza_trabajo($nombrepagina);	 
?>
<CENTER>
<form action="" method="POST" name="backup">
<table width="380" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Creacion Sucursal ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="24" class=miTable_td2>
Codigo Sucursal:</td>
<td width="150" valign=top height="24" class="miTable_td">
<input type="text" name="cod_suc" class="inputbox" size="25" readonly value="<? $cod_suc=con_max('sucursales','cod_sucursal'); echo  $cod_suc ?>">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="24" class=miTable_td2>
Nombre Sucursal:</td>
<td width="150" valign=top height="24" class="miTable_td">
<input type="text" name="nombre" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td2">
NIT:</td>
<td width="150" class="miTable_td">
<input type="text" name="nit" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" valign=top height="24" class=miTable_td>
Direccion:</td>
<td width="150" valign=top height="24" class="miTable_td">
<input type="text" name="dir" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Telefono:</td>
<td width="150" class="miTable_td">
<input type="text" name="tel" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
E-mail:</td>
<td width="150" class="miTable_td">
<input type="text" name="email" class="inputbox" size="25">
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
Ciudad:</td>
<td width="200" class="miTable_td">
<select name="ciudad" class="inputbox" id="CMB" onchange="cod_suc()">
<?
get_ciudad();
?>
</select>
<script>  
carga('CMB'); </script>
</td>
</tr>
<tr class="miTable_tr">
<td width="180" class="miTable_td">
CONTACTO:</td>
<td width="150" class="miTable_td">
<input type="text" name="rep" class="inputbox" size="25">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Registrar" class="inputbox">
</div>
</td>
</tr>
</table>
</form>
</CENTER>
<?
	 if(!isset($Registrar)){

     }else{
		class crearSucursal{
	  		var $crearObj;
	  		var $conexionObj;
	  		var $estado;
	  		function setCrear($nombre,$dir,$tel,$email,$nit,$ciudad,$rep,$cod_suc){
	  			$id_user=$_GET['id_user'];
			 	$id_suc=$_GET['suc'];
			 	if($nombre=='' || $nit=='' || $rep==''){
			 		$msgBOX2 = "Algunos Campos Requeridos Estan Vacios.";
	  		    	echo "<script>
					setTimeout(location.href='crear_sucursal.php?id_user=$id_user&suc=$id_suc', 100);
	            	alert('$msgBOX2');
	  		  		</script>";
			 	}else{
	  		 		$this->crearObj=new sucursales();
			 		$this->crearObj->setCod_suc($cod_suc);
	  		 		$this->crearObj->setNombre($nombre);
	  		 		$this->crearObj->setDireccion($dir);
	  		 		$this->crearObj->setTelefono($tel);
			 		$this->crearObj->setEmail($email);
			 		$this->crearObj->setNit($nit);
			 		$this->crearObj->setCod_ciudad($ciudad);
			 		$this->crearObj->setRep($rep);
			 	}
	  		}
			function getCrear(){
		    	return $this->crearObj;
			}
			function validar(){
				$this->conexionObj= new conexion();
				$this->conexionObj->conectarse();
				$rst_validar=$this->conexionObj->consultar("SELECT * FROM sucursales WHERE nombre='".$this->crearObj->getNombre()."' OR cod_sucursal = '".$this->crearObj->getCod_suc()."'");
				if(mysql_num_rows($rst_validar)>=1){
					$msgBOX2 = "Sucursal Existe en Sistema.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
				}else{
					$nombre=$this->crearObj->getNombre();
					$nombre=strtoupper($nombre); //MINUSCULAS strtolower($cadena)
					$cod_suc=$this->crearObj->getCod_suc();
					$dir=$this->crearObj->getDireccion();
					$tel=$this->crearObj->getTelefono();
					$email=$this->crearObj->getEmail();
					$nit=$this->crearObj->getNit();
					$ciudad=$this->crearObj->getCod_ciudad();
					$rep=$this->crearObj->getRep();
					$rep=strtoupper($rep);
					$this->insertarDatos($nombre,$dir,$tel,$email,$nit,$ciudad,$rep,$cod_suc);
				
				}
			}
			function insertarDatos($nombre,$dir,$tel,$email,$nit,$ciudad,$rep,$cod_suc){
	 			$rst_insertar=$this->conexionObj->modificar("INSERT INTO sucursales VALUES ('0','".$cod_suc."','".$nit."','".$nombre."','".$dir."','".$tel."','".$email."','".$rep."','".$ciudad."')");
				$affected_rows=mysql_affected_rows();
				if($affected_rows>=1){
					$id_suc=escoger_suc($cod_suc);
							///////////////insertar tabla sucursales////////////////
					$rst_insertar=$this->conexionObj->modificar("INSERT INTO tablas_sucursales VALUES ('0','".$id_suc."','guias_proceso','rastreo_guias')");
					//$rst_insertar2="INSERT INTO tabla_sucursales VALUES ('0','".$id_suc."','guias_proceso','rastreo_guias')";
					//echo $rst_insertar2;
					$rst_insertar=$this->conexionObj->modificar("INSERT INTO usuarios VALUES ('0','ADMIN_".$nombre."','".$dir."','".$tel."','ADMIN_".$nombre."','12345','".$id_suc."','1','2', '0')");
					$user="ADMIN_".$nombre;
					$id_user=escoger_usuario($user);
					$asig=escoger_menus();
					asignar_menu_usuario($id_user,$asig,'menu_usuario');
			    	$msgBOX2 = "Sucursal Creada Exitosamente.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
					//echo "Usuario Creado Exitosamente";
				}else{
			    	$msgBOX2 = "Sucursal No Pudo ser Creada.";
	  		    	echo "<script>
	             	  alert('$msgBOX2');
	  		  	      </script>";
			    	//echo "Usuario No Pudo ser Creado";
				}
			}
}// FIN DE LA CLASE CREARUSUARIO
// CREACION DEL OBJETO
$crearSucursalObj=new crearSucursal();
// CONFIGURANDO LAS PROPIEDADES DEL OBJETO
$crearSucursalObj->setCrear($_POST['nombre'],$_POST['dir'],$_POST['tel'],$_POST['email'],$_POST['nit'],$_POST['ciudad'],$_POST['rep'],$_POST['cod_suc']);
// LAMANDO EL METODO DE NEGOCIO
$crearSucursalObj->validar();

}

mostrar_pie();
} 
	echo"</td>";
	echo"</tr>";   
	echo"</table>";     
	echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
	echo"<tbody><tr>";
	echo"<td></td>";
	echo"</tr>";
	echo"<tr>";
	echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
	echo"</tr>";
	echo"<tr>";
?>
<td>
<center>
<?
        pie_de_pagina();
        ?>
</center>
</td>
<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>